Spring
action Spring

# enable_chaosmonkey

Enable Chaos Monkey on a specific service

Run it now
View details

Type | action
Module | chaosspring.actions
Name | enable_chaosmonkey
Return | string

Usage

JSON

    {
      "name": "enable-chaosmonkey",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosspring.actions",
        "func": "enable_chaosmonkey",
        "arguments": {
          "base_url": ""
        }
      }
    }

YAML

    name: enable-chaosmonkey
    provider:
      arguments:
        base_url: ""
      func: enable_chaosmonkey
      module: chaosspring.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
base_url | string |  | Yes | Base URL | URL of the Chaos Monkery service
headers | mapping | null | No | Headers | Headers to pass to the call
timeout | number | null | No | Timeout | Call must suceeed within this timeout period

Signature

    def enable_chaosmonkey(base_url: str,
                           headers: Dict[str, Any] = None,
                           timeout: float = None,
                           configuration: Dict[str, Dict[str, str]] = None,
                           secrets: Dict[str, Dict[str, str]] = None) -> str:
        pass

## Related starters

- Spring
  probe Spring

  ## `watcher_configuration`

  Get the current watcher configuration from the specified service
- Spring
  action Spring

  ## `change_assaults_configuration`

  Change Assaults configuration on a specific service
- Spring
  action Spring

  ## `change_assaults_configuration`

  Change Assaults configuration on a specific service